# WoopsiUI::RadioButton Class Reference

`#include <radiobutton.h>`

Inheritance diagram for WoopsiUI::RadioButton:

List of all members.

## Public Types
enum | RadioButtonState { RADIO_BUTTON_STATE_OFF = 0, RADIO_BUTTON_STATE_ON = 1, RADIO_BUTTON_STATE_MU = 2 }
## Public Member Functions
| RadioButton (s16 x, s16 y, u16 width, u16 height, FontBase *font=NULL)
virtual void | draw (Rect clipRect)
virtual bool | click (s16 x, s16 y)
virtual RadioButtonState | getState ()
virtual void | setState (RadioButtonState state)
## Protected Member Functions
virtual | ~RadioButton ()
| RadioButton (const RadioButton &radioButton)
## Protected Attributes
RadioButtonState | _state

## Detailed Description

Represents a radio button. Radio buttons can only exist as part of a RadioButtonGroup class, and should not be instantiated individually. Radio buttons are tri-state - off, on and "mu". The mu state cannot be enabled by a user - it can only be set by the developer.

## Member Enumeration Documentation

enum WoopsiUI::RadioButton::RadioButtonState

Enum listing all possible radio button states.

Enumerator:

  RADIO_BUTTON_STATE_OFF | Radio button is off
  RADIO_BUTTON_STATE_ON | Radio button is on
  RADIO_BUTTON_STATE_MU | Radio button is in the third state

## Constructor & Destructor Documentation

RadioButton::RadioButton | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height,
|  | FontBase * | font = `NULL` |
| ) |  |  |

Constructor.

Parameters:

  | x | The x co-ordinate of the radio button, relative to its parent.
  | y | The y co-ordinate of the radio button, relative to its parent.
  | width | The width of the radio button.
  | height | The height of the radio button.
  | font | The font to use for the radio button.

virtual WoopsiUI::RadioButton::~RadioButton | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::RadioButton::RadioButton | ( | const RadioButton & | radioButton | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

bool RadioButton::click | ( | s16 | x,
|  | s16 | y |
| ) |  |  | `[virtual]`

Click this gadget at the supplied co-ordinates.

Parameters:

  | x | X co-ordinate of the click.
  | y | Y co-ordinate of the click.

Returns:
  True if the click was successful.

Reimplemented from WoopsiUI::Button.

void RadioButton::draw | ( | Rect | clipRect | ) | `[virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the draw() function to draw all visible regions.

Parameters:

  | clipRect | The clipping region to draw.

See also:
  draw()

Reimplemented from WoopsiUI::Button.

virtual RadioButtonState WoopsiUI::RadioButton::getState | ( |  | ) | `[inline, virtual]`

Get the current state of the radio button.

Returns:
  The state of the radio button.

void RadioButton::setState | ( | RadioButton::RadioButtonState | state | ) | `[virtual]`

Set the state of the radio button.

Parameters:

  | state | The new radio button state.

## Member Data Documentation

RadioButtonState WoopsiUI::RadioButton::_state`[protected]`

The state of the radio button

The documentation for this class was generated from the following files:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/radiobutton.h
- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/radiobutton.cpp

All Classes Functions Variables Enumerations Enumerator